Skip to main content
GET
/
v1
/
w3s
/
transactions
/
{id}
Get a transaction
curl --request GET \
  --url https://api.circle.com/v1/w3s/transactions/{id} \
  --header 'Authorization: Bearer <token>' \
  --header 'X-User-Token: <x-user-token>'
import requests

url = "https://api.circle.com/v1/w3s/transactions/{id}"

headers = {
"X-User-Token": "<x-user-token>",
"Authorization": "Bearer <token>"
}

response = requests.get(url, headers=headers)

print(response.text)
const options = {
method: 'GET',
headers: {'X-User-Token': '<x-user-token>', Authorization: 'Bearer <token>'}
};

fetch('https://api.circle.com/v1/w3s/transactions/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "data": {
    "transaction": {
      "id": "c4d1da72-111e-4d52-bdbf-2e74a2d803d5",
      "blockchain": "MATIC-AMOY",
      "createDate": "2023-01-01T12:04:05Z",
      "updateDate": "2023-01-01T12:04:05Z",
      "abiFunctionSignature": "burn(uint256)",
      "abiParameters": [
        "100",
        "1"
      ],
      "amounts": [
        "6.62607015"
      ],
      "amountInUSD": "<string>",
      "blockHash": "<string>",
      "blockHeight": 123,
      "contractAddress": "0xa0b86991c6218b36c1d19d4a2e9eb0ce3606eb48",
      "destinationAddress": "0xca9142d0b9804ef5e239d3bc1c7aa0d1c74e7350",
      "errorReason": "<string>",
      "errorDetails": "<string>",
      "estimatedFee": {
        "gasLimit": "21000",
        "gasPrice": "<string>",
        "maxFee": "5.935224468",
        "priorityFee": "1.022783914",
        "baseFee": "1.022783914",
        "networkFee": "0.0001246397138",
        "networkFeeRaw": "0.0001246397138",
        "l1Fee": "0.000000000000140021"
      },
      "feeLevel": "MEDIUM",
      "firstConfirmDate": "2021-05-18T00:00:00Z",
      "networkFee": "<string>",
      "networkFeeInUSD": "<string>",
      "nfts": [
        "[{\"ntfTokenId\":\"12321\"",
        "\"metadata\":\"ipfs://QmZcH4YvBVVRJtdn4RdbaqgspFU8gH6P9vomDpBVpAL3u4/1\"}",
        "{\"ntfTokenId\":\"12322\"",
        "\"metadata\":\"ipfs://QmZcH4YvBVVRJtdn4RdbaqgspFU8gH6P9vomDpBVpAL3u4/2\"}]"
      ],
      "refId": "grouptransaction123",
      "sourceAddress": "0xca9142d0b9804ef5e239d3bc1c7aa0d1c74e7350",
      "tokenId": "c4d1da72-111e-4d52-bdbf-2e74a2d803d5",
      "txHash": "0x4a25cc5e661d8504b59c5f38ba93f010e8518966f00e2ceda7955c4b8621357d",
      "userId": "ext_user_id_1",
      "walletId": "c4d1da72-111e-4d52-bdbf-2e74a2d803d5",
      "transactionScreeningEvaluation": {
        "screeningDate": "2023-01-01T12:04:05Z",
        "ruleName": "Low Gambling Risk (Owner)",
        "actions": [
          "REVIEW"
        ],
        "reasons": [
          {
            "source": "ADDRESS",
            "sourceValue": "0x1bf9ad0cc2ad298c69a2995aa806ee832788218c",
            "riskScore": "LOW",
            "riskCategories": [
              "GAMBLING"
            ],
            "type": "OWNERSHIP"
          }
        ]
      }
    }
  }
}
{
"code": 123,
"message": "<string>"
}
{
"code": 401,
"message": "Malformed authorization."
}
{
"code": 404,
"message": "Not found."
}

Authorizations

Authorization
string
header
required

Circle's API Keys are formatted in the following structure "PREFIX:ID:SECRET". All three parts are required to make a successful request.

Headers

X-User-Token
string
required

Unique system generated JWT session token for specific user.

X-Request-Id
string<uuid>

Developer-provided identifier for this request, used for tracing requests in Wallets API logs and the Developer Console, and when communicating with Circle Support. Must be a UUID to appear in logs. Non-UUID values are accepted by the API but are ignored by logging and tracing systems.

A unique identifier, which can be helpful for identifying a request when communicating with Circle support.

Example:

"2adba88e-9d63-44bc-b975-9b6ae3440dde"

Path Parameters

id
string
required

Transaction id

Query Parameters

txType
enum<string>

Filter by on the transaction type.

Available options:
INBOUND,
OUTBOUND

Response

Transaction retrieved

data
object
required